> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/location/describedatacenterswithservice.md).

# DescribeDatacentersWithService

## 1. 接口描述

本接口(DescribeDatacentersWithService)用于查询含服务的数据中心列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型                                                                | 描述        |
| ------------- | -- | ----------------------------------------------------------------- | --------- |
| cloudRegionId | 否  | String                                                            | 公有云区域 ID。 |
| dcId          | 否  | String                                                            | 数据中心 ID。  |
| serviceType   | 否  | [ServiceType](/api-reference/cn/sdn/datastructure.md#servicetype) | 服务类型。     |

## 3. 响应结果

| 参数名称      | 类型                                                                                                             | 描述                                                       |
| --------- | -------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                                         | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| dcSet     | Array of [DataCenterWithServiceResponse](/api-reference/cn/sdn/datastructure.md#datacenterwithserviceresponse) | 结果集。                                                     |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**根据serviceType筛选获取支持AWS云的数据中心信息。**

```
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDatacentersWithService
<Common Request Params>

Request: 
{
    "serviceType": "AWS"
}

Response: 
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "dcSet": [{
            "dcId":"NYC1",
            "areaName": "North America",
            "dcName": "Digital Realty JFK12",
            "cityName": "New York City",
            "cloudRegionId": "ap-east-1",
            "latitude": 40.718651,
            "longitude": -74.008261,
            "dcAddress": "111 8th Ave, New York, NY 10011, USA",
            "countryName": "United States",
            "serviceTypes": ["AWS", "DATACENTER_PORT"]
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
